summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/deploy/deploy.sh8
-rw-r--r--deploy/tempest.py1
2 files changed, 9 insertions, 0 deletions
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index 208351d5..283dad1e 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -462,6 +462,10 @@ fi
echo "====== prepare cluster and pxe ======"
ssh $SSH_PARAS $DAISY_IP "python ${REMOTE_SPACE}/deploy/tempest.py --dha $DHA --network $NETWORK --cluster 'yes'"
+if [ $? -ne 0 ]; then
+ echo "Failed to prepare cluster and pxe, exit!"
+ exit 1
+fi
function get_mac_addresses_for_virtual()
@@ -549,6 +553,10 @@ fi
echo "====== prepare host and pxe ======"
ssh $SSH_PARAS $DAISY_IP "python ${REMOTE_SPACE}/deploy/tempest.py --dha $DHA --network $NETWORK --host 'yes' --isbare $IS_BARE --scenario $DEPLOY_SCENARIO"
+if [ $? -ne 0 ]; then
+ echo "Failed to prepare host and pxe, exit!"
+ exit 1
+fi
if [ $IS_BARE == 0 ];then
echo "====== daisy virtual-deploy operating system and openstack ======"
diff --git a/deploy/tempest.py b/deploy/tempest.py
index 916ebad5..89411f3f 100644
--- a/deploy/tempest.py
+++ b/deploy/tempest.py
@@ -138,6 +138,7 @@ def prepare_install():
except Exception:
print("Deploy failed!!!.%s." % traceback.format_exc())
+ sys.exit(1)
else:
print_bar("Everything is done!")